Bug 1511665

Summary: Review Request: ghc-mono-traversable - Type classes for mapping, folding, and traversing monomorphic containers
Product: [Fedora] Fedora Reporter: David Shea <dshea>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:20:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1511664    
Bug Blocks: 1511666    

Description David Shea 2017-11-09 20:02:37 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-mono-traversable/ghc-mono-traversable.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00606420-ghc-mono-traversable/ghc-mono-traversable-1.0.2-1.fc27.src.rpm
Description: Monomorphic variants of the Functor, Foldable, and Traversable typeclasses.
If you understand Haskell's basic typeclasses, you understand mono-traversable.
In addition to what you are used to, it adds on an IsSequence typeclass and has
code for marking data structures as non-empty.

Fedora Account System Username: dshea

Comment 1 Robert-André Mauchin 🐧 2017-11-09 21:14:44 UTC
You need to split the doc in a subpackage:

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1802240 bytes in 45 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Comment 2 David Shea 2017-11-09 21:47:23 UTC
Updated. Using -devel-doc for the subpackage to match other Haskell API documentation packages, such as for foundation or lens.

Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-mono-traversable/ghc-mono-traversable.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00660327-ghc-mono-traversable/ghc-mono-traversable-1.0.2-2.fc27.src.rpm
Description: Monomorphic variants of the Functor, Foldable, and Traversable typeclasses.
If you understand Haskell's basic typeclasses, you understand mono-traversable.
In addition to what you are used to, it adds on an IsSequence typeclass and has
code for marking data structures as non-empty.

Fedora Account System Username: dshea

Comment 3 David Shea 2017-11-09 21:58:37 UTC
Updated again with the correct macros in the -devel-doc summary and description.

Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-mono-traversable/ghc-mono-traversable.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00660333-ghc-mono-traversable/ghc-mono-traversable-1.0.2-3.fc27.src.rpm
Description: Monomorphic variants of the Functor, Foldable, and Traversable typeclasses.
If you understand Haskell's basic typeclasses, you understand mono-traversable.
In addition to what you are used to, it adds on an IsSequence typeclass and has
code for marking data structures as non-empty.

Fedora Account System Username: dshea

Comment 4 Robert-André Mauchin 🐧 2017-11-09 22:29:01 UTC
All ok, package accepted.

Comment 5 Gwyn Ciesla 2017-11-10 15:48:17 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-mono-traversable

Comment 6 Fedora Update System 2017-11-28 20:54:28 UTC
ghc-mono-traversable-1.0.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-44f34fd7bb

Comment 7 Fedora Update System 2017-11-30 16:05:46 UTC
ghc-wreq-0.5.1.0-1.fc27 ghc-tar-conduit-0.1.1-1.fc27 ghc-servant-server-0.12-1.fc27 ghc-servant-options-0.1.0.0-1.fc27 ghc-servant-foreign-0.10.2-1.fc27 ghc-servant-client-core-0.12-1.fc27 ghc-servant-client-0.12.0.1-1.fc27 ghc-servant-0.12-1.fc27 ghc-RSA-2.2.0-1.fc27 ghc-mono-traversable-1.0.2-1.fc27 ghc-lzma-conduit-1.1.3.3-1.fc27 ghc-hspec-core-2.4.4-1.fc27 ghc-hspec-2.4.4-1.fc27 ghc-haskell-gi-overloading-1.0-2.fc27 ghc-haskell-gi-0.20.3-1.fc27 ghc-gi-ostree-1.0.5-1.fc27 ghc-gi-gobject-2.0.15-1.fc27 ghc-gi-glib-2.0.14-1.fc27 ghc-gi-gio-2.0.14-1.fc27 ghc-content-store-0.2.0-1.fc27 ghc-conduit-combinators-1.1.1-1.fc27 ghc-codec-rpm-0.2.0-1.fc27 ghc-authenticate-oauth-1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 8 Fedora Update System 2017-12-02 19:54:20 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ab1fe26287

Comment 9 Fedora Update System 2017-12-02 22:37:46 UTC
ghc-codec-rpm-0.2.0-1.fc26, ghc-conduit-combinators-1.1.1-1.fc26, ghc-lzma-conduit-1.1.3.3-1.fc26, ghc-mono-traversable-1.0.2-1.fc26, ghc-tar-conduit-0.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-44f34fd7bb

Comment 10 Fedora Update System 2017-12-12 11:20:08 UTC
ghc-RSA-2.2.0-1.fc27, ghc-authenticate-oauth-1.6-1.fc27, ghc-codec-rpm-0.2.0-1.fc27, ghc-conduit-combinators-1.1.1-1.fc27, ghc-content-store-0.2.0-1.fc27, ghc-gi-gio-2.0.14-1.fc27, ghc-gi-glib-2.0.14-1.fc27, ghc-gi-gobject-2.0.15-1.fc27, ghc-gi-ostree-1.0.5-1.fc27, ghc-haskell-gi-0.20.3-1.fc27, ghc-haskell-gi-overloading-1.0-2.fc27, ghc-hspec-2.4.4-1.fc27, ghc-hspec-core-2.4.4-1.fc27, ghc-lzma-conduit-1.1.3.3-1.fc27, ghc-mono-traversable-1.0.2-1.fc27, ghc-servant-0.12-1.fc27, ghc-servant-client-0.12.0.1-1.fc27, ghc-servant-client-core-0.12-1.fc27, ghc-servant-foreign-0.10.2-1.fc27, ghc-servant-options-0.1.0.0-1.fc27, ghc-servant-server-0.12-1.fc27, ghc-tar-conduit-0.1.1-1.fc27, ghc-wreq-0.5.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-12-12 13:41:45 UTC
ghc-codec-rpm-0.2.0-1.fc26, ghc-conduit-combinators-1.1.1-1.fc26, ghc-lzma-conduit-1.1.3.3-1.fc26, ghc-mono-traversable-1.0.2-1.fc26, ghc-tar-conduit-0.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.